Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet
Class Hopfield

    java.lang.Object
      java.util.Observable
          org.neuroph.core.NeuralNetwork
              org.neuroph.nnet.Hopfield

All Implemented Interfaces:
  Serializable

    public class Hopfield

extends NeuralNetwork

Hopfield neural network. Notes: try to use [1, -1] activation levels, sgn as transfer function, or real numbers for activation

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.NeuralNetwork
`output`

Constructor Summary
`Hopfield(int neuronsCount)` Creates new Hopfield network with specified neuron number
`Hopfield(int neuronsCount, NeuronProperties neuronProperties)` Creates new Hopfield network with specified neuron number and neuron properties

Method Summary

Methods inherited from class org.neuroph.core.NeuralNetwork
`addLayer, addLayer, addPlugin, calculate, createConnection, getInputNeurons, getInputsCount, getLabel, getLayerAt, getLayers, getLayersCount, getLearningRule, getLearningThread, getNetworkType, getOutput, getOutputNeurons, getOutputsCount, getPlugin, indexOf, learn, learn, learnInNewThread, learnInNewThread, load, load, notifyChange, pauseLearning, randomizeWeights, randomizeWeights, randomizeWeights, randomizeWeights, removeLayer, removeLayerAt, removePlugin, reset, resumeLearning, save, setInput, setInputNeurons, setLabel, setLearningRule, setNetworkType, setOutputNeurons, stopLearning, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Hopfield

    public Hopfield(int neuronsCount)

  Creates new Hopfield network with specified neuron number

  Parameters:
    `neuronsCount` - neurons number in Hopfied network

### Hopfield

    public Hopfield(int neuronsCount,
                    NeuronProperties neuronProperties)

  Creates new Hopfield network with specified neuron number and neuron properties

  Parameters:
    `neuronsCount` - neurons number in Hopfied network
    `neuronProperties` - neuron properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.